FSManifestIterable
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.osgi.repo
Class FSManifestIterable

    java.lang.Object
      org.apache.ivy.osgi.repo.AbstractFSManifestIterable
          org.apache.ivy.osgi.repo.FSManifestIterable

    public class FSManifestIterable

extends AbstractFSManifestIterable

Field Summary
`static java.io.FilenameFilter` | `DEFAULT_BUNLDE_FILTER` Default bundle filter that select only .jar files
`static java.io.FilenameFilter` | `DEFAULT_DIR_FILTER` Default directory filter that doesn't select .svn directories, neither the directories that match `NON_BUNDLE_DIRS`.
`static java.util.Set` | `NON_BUNDLE_DIRS` List of directory name that usually contains jars but are not bundles

Constructor Summary
`FSManifestIterable(java.io.File root)` Default constructor

Method Summary
`protected java.net.URI` | `buildBundleURI(java.lang.Object location)`
`java.io.FilenameFilter` | `getBundleFilter()`
`java.io.FilenameFilter` | `getDirFilter()`
`protected java.io.InputStream` | `getInputStream(java.lang.Object f)`
`protected java.util.List` | `listBundleFiles(java.lang.Object dir)`
`protected java.util.List` | `listDirs(java.lang.Object dir)`
`void` | `setBundleFilter(java.io.FilenameFilter bundleFilter)`
`void` | `setDirFilter(java.io.FilenameFilter dirFilter)`

Methods inherited from class org.apache.ivy.osgi.repo.AbstractFSManifestIterable
`iterator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NON_BUNDLE_DIRS

    public static final java.util.Set NON_BUNDLE_DIRS

  List of directory name that usually contains jars but are not bundles

### DEFAULT_DIR_FILTER

    public static final java.io.FilenameFilter DEFAULT_DIR_FILTER

  Default directory filter that doesn't select .svn directories, neither the directories that match `NON_BUNDLE_DIRS`.

### DEFAULT_BUNLDE_FILTER

    public static final java.io.FilenameFilter DEFAULT_BUNLDE_FILTER

  Default bundle filter that select only .jar files

Constructor Detail

### FSManifestIterable

    public FSManifestIterable(java.io.File root)

  Default constructor

  Parameters:
    `root` - the root directory of the file system to lookup

Method Detail

### getDirFilter

    public java.io.FilenameFilter getDirFilter()

### setDirFilter

    public void setDirFilter(java.io.FilenameFilter dirFilter)

### getBundleFilter

    public java.io.FilenameFilter getBundleFilter()

### setBundleFilter

    public void setBundleFilter(java.io.FilenameFilter bundleFilter)

### buildBundleURI

    protected java.net.URI buildBundleURI(java.lang.Object location)

  Specified by:
    `buildBundleURI` in class `AbstractFSManifestIterable`

### getInputStream

    protected java.io.InputStream getInputStream(java.lang.Object f)
                                          throws java.io.FileNotFoundException

  Specified by:
    `getInputStream` in class `AbstractFSManifestIterable`
  Throws:
    `java.io.FileNotFoundException`

### listBundleFiles

    protected java.util.List listBundleFiles(java.lang.Object dir)

  Specified by:
    `listBundleFiles` in class `AbstractFSManifestIterable`

### listDirs

    protected java.util.List listDirs(java.lang.Object dir)

  Specified by:
    `listDirs` in class `AbstractFSManifestIterable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD